// GraphAlgos
// Programme implantant les algos de Floyd, Prim, Dijkstra et Bellman-Ford
// ens.cpp : implantation de la classe CEns
// Date : 08/05/2003
// Auteur: Vouriot Thierry 
// http://thierry.vouriot.free.fr, http://www.yeri.fr.st
// Date : 08/05/2003

#include "ens.h"

// ###########
// Classe CEns
// ###########

// Constructeur
CEns::CEns()
{
	for (int j=0; j<N; j++)
		m_ens[j] = false;
}

// Destructeur
CEns::~CEns()
{ }

// Ajoute un lment  l'ensemble
void CEns::AddElem(int i)
{
	m_ens[i] = true;
}

// Supprime un lment de l'ensemble
void CEns::DelElem(int i)
{
	m_ens[i] = false;
}

// Teste si un lment appartient  l'ensemble
bool CEns::IsElem(int i)
{
	return m_ens[i];
}

// Affiche l'ensemble
void CEns::ShowEns()
{
	cout << "{ ";
	for (int i=0; i<N; i++)
		if (m_ens[i]) cout << i << " ";
	cout << "}" << endl;
}

// Retourne le nombre d'lments
int CEns::GetSize()
{
	int size = 0;
	for (int i=0; i<N; i++)
		if (m_ens[i]) size++;
	return size;
}