// GraphAlgos
// Programme implantant les algos de Floyd, Prim, Dijkstra et Bellman-Ford
// ens.h : classe CEns definissant les ensembles d'entiers
// Date : 08/05/2003
// Auteur: Vouriot Thierry 
// http://thierry.vouriot.free.fr, http://www.yeri.fr.st
// Date : 08/05/2003

#ifndef _ENS_H
#define _ENS_H

#include <iostream>
#include <math.h>
#include <malloc.h>

using namespace std;

#define N 256

// ###########
// Classe CEns
// ###########
class CEns
{
public:

	// Constructeur
	CEns();
	// Destructeur
	~CEns();
	// Ajoute un lment  l'ensemble
	void AddElem(int i);
	// Supprime un lment de l'ensemble
	void DelElem(int i);
	// Teste si un lment appartient  l'ensemble
	bool IsElem(int);
	// Affiche l'ensemble
	void ShowEns();
	// Retourne le nombre d'lments
	int GetSize();
	
private:
	
	// Ensemble
	bool m_ens[N];

};

#endif